Skip to main content
POST
/
api
/
pricing
/
batches
/
create-from-preview
Create Batches From Preview
curl --request POST \
  --url https://api.merchantops.ai/api/pricing/batches/create-from-preview \
  --header 'Content-Type: application/json' \
  --data '
{
  "batches": [
    {
      "name": "<string>",
      "proposal_keys": [
        "<string>"
      ],
      "brand_key": "<string>",
      "effective_date": "<string>",
      "existing_batch_key": "<string>"
    }
  ],
  "comparison_run_id": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Cookies

stytch_session
string | null

Body

application/json

Request body for creating batches from a preview.

batches
BatchFromPreviewItem · object[]
required
comparison_run_id
string
required

Response

Successful Response